# sqt

A very simple utility to convert the plain quotes in a text file into typographic quotes. Uses the `html` and `smartypants` modules.

## Usage

To convert plain quotes to typographic quotes:
```
      sqt infile [outfile]
```

or to show help:   
```
      sqt -h|--help
```

If you specify an output file, then `sqt` will write the converted text to that file without displaying the results onscreen.

To see the results in your terminal *and* write them to a file, try `sqt some_input_file.txt | tee some_output_file.txt`.

## Installation

These instructions are intended for Linux distributions and similar OSes such as the BSD family.

- Install the smartypants package using `pip install -u smartypants`.
- Download the file `sqt`.
- Make sure it is executable with the command `chmod u+x sqt`.
- Copy it to a file in your `PATH`, with a command such as `cp sqt ~/.local/bin/`
- Find a suitable input file (say `input_file.txt`)
- Check that the command works by typing `sqt input_file.txt`.